Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers
Class SingleClassifierEnhancer

    java.lang.Object
      weka.classifiers.AbstractClassifier
          weka.classifiers.SingleClassifierEnhancer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Classifier, CapabilitiesHandler, OptionHandler, RevisionHandler

Direct Known Subclasses:
  AttributeSelectedClassifier, ClassificationViaRegression, FilteredClassifier, IteratedSingleClassifierEnhancer, LWL, MIBoost, MIWrapper, OrdinalClassClassifier, RandomizableSingleClassifierEnhancer, RegressionByDiscretization, SimpleMI

    public abstract class SingleClassifierEnhancer

extends AbstractClassifier

Abstract utility class for handling settings common to meta classifiers that use a single base learner.

Version:
  $Revision: 6041 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`SingleClassifierEnhancer()`

Method Summary
`java.lang.String` | `classifierTipText()` Returns the tip text for this property
`Capabilities` | `getCapabilities()` Returns default capabilities of the base classifier.
`Classifier` | `getClassifier()` Get the classifier used as the base learner.
`java.lang.String[]` | `getOptions()` Gets the current settings of the Classifier.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`void` | `setClassifier(Classifier newClassifier)` Set the base learner.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

Methods inherited from class weka.classifiers.AbstractClassifier
`classifyInstance, debugTipText, distributionForInstance, forName, getDebug, getRevision, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weka.classifiers.Classifier
`buildClassifier`

Constructor Detail

### SingleClassifierEnhancer

    public SingleClassifierEnhancer()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `AbstractClassifier`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  -W classname
  Specify the full class name of the base learner.

  Options after -- are passed to the designated classifier.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `AbstractClassifier`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the Classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `AbstractClassifier`
  Returns:
    an array of strings suitable for passing to setOptions

### classifierTipText

    public java.lang.String classifierTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### getCapabilities

    public Capabilities getCapabilities()

  Returns default capabilities of the base classifier.

  Specified by:
    `getCapabilities` in interface `Classifier`
  Specified by:
    `getCapabilities` in interface `CapabilitiesHandler`
  Overrides:
    `getCapabilities` in class `AbstractClassifier`
  Returns:
    the capabilities of the base classifier
  See Also:
    `Capabilities`

### setClassifier

    public void setClassifier(Classifier newClassifier)

  Set the base learner.

  Parameters:
    `newClassifier` - the classifier to use.

### getClassifier

    public Classifier getClassifier()

  Get the classifier used as the base learner.

  Returns:
    the classifier used as the classifier

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD